<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:49 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Package io.mosip.registration.exception (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package io.mosip.registration.exception (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/exception/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package io.mosip.registration.exception" class="title">Uses of Package<br>io.mosip.registration.exception</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.dao">io.mosip.registration.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.dao.impl">io.mosip.registration.dao.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.device.fp">io.mosip.registration.device.fp</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.device.gps">io.mosip.registration.device.gps</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.device.gps.impl">io.mosip.registration.device.gps.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.device.iris">io.mosip.registration.device.iris</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.device.webcam">io.mosip.registration.device.webcam</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.exception">io.mosip.registration.exception</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service">io.mosip.registration.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.external">io.mosip.registration.service.external</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.external.impl">io.mosip.registration.service.external.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.impl">io.mosip.registration.service.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet">io.mosip.registration.service.packet</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet.impl">io.mosip.registration.service.packet.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.sync">io.mosip.registration.service.sync</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.util.restclient">io.mosip.registration.util.restclient</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.dao">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao.impl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.dao.impl">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseUncheckedException.html#io.mosip.registration.dao.impl">RegBaseUncheckedException</a>
<div class="block">Class for handling the REG unchecked exception</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.fp">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/device/fp/package-summary.html">io.mosip.registration.device.fp</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.device.fp">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.gps">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/device/gps/package-summary.html">io.mosip.registration.device.gps</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.device.gps">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.gps.impl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/device/gps/impl/package-summary.html">io.mosip.registration.device.gps.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.device.gps.impl">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.iris">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/device/iris/package-summary.html">io.mosip.registration.device.iris</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.device.iris">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.webcam">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/device/webcam/package-summary.html">io.mosip.registration.device.webcam</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.device.webcam">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.exception">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegistrationExceptionConstants.html#io.mosip.registration.exception">RegistrationExceptionConstants</a>
<div class="block">Exception enum for Registration Processor Module</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.service">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.external">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/service/external/package-summary.html">io.mosip.registration.service.external</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.service.external">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.external.impl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/service/external/impl/package-summary.html">io.mosip.registration.service.external.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.service.external.impl">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.impl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/service/impl/package-summary.html">io.mosip.registration.service.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.service.impl">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.service.packet">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet.impl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.service.packet.impl">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.sync">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/service/sync/package-summary.html">io.mosip.registration.service.sync</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.service.sync">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.util.restclient">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/exception/package-summary.html">io.mosip.registration.exception</a> used by <a href="../../../../io/mosip/registration/util/restclient/package-summary.html">io.mosip.registration.util.restclient</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/exception/class-use/RegBaseCheckedException.html#io.mosip.registration.util.restclient">RegBaseCheckedException</a>
<div class="block">The class to handle all the checked exception in REG</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/exception/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
